## livecd-rootfs 2.257

=== debian/changelog ===
livecd-rootfs (2.257) utopic; urgency=medium

  * Drop the click packages moved in 2.255 from the rootfs, leaving them
    only in the custom tarball.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 15 Oct 2014 21:07:38 +0100

livecd-rootfs (2.256) utopic; urgency=medium

  * Fix directory layout of custom tarball.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 15 Oct 2014 17:12:23 +0100

livecd-rootfs (2.255) utopic; urgency=medium

  [ Steve Langasek ]
  * Add support to the ubuntu-touch target to generate a separate custom
    tarball as part of the build, moving most click packages into it.

  [ Colin Watson ]
  * Temporarily install the to-be-moved click packages in both core and
    custom databases, to simplify the landing process.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 14 Oct 2014 00:12:08 +0100

livecd-rootfs (2.254) utopic; urgency=medium

  * force the right alternative when the libmir*-android packages are
    installed, so that accidentially pulled in -mesa versions will not provide
    the default alternatives for them in ubuntu-touch images

 -- Oliver Grawert <ogra@ubuntu.com>  Sat, 11 Oct 2014 13:09:49 +0200

livecd-rootfs (2.253) utopic; urgency=medium

  * Update hardcoded libmir*-android installations for Mir 0.8.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 11 Oct 2014 08:54:47 +0100

livecd-rootfs (2.252) utopic; urgency=low

  [ James Hunt ]
  * Convert resolvconf hook from a chroot hook to a binary hook since lb
    overwrites /etc/resolv.conf after the chroot hooks have run.  * 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 09 Oct 2014 13:20:40 +0200

livecd-rootfs (2.251) utopic; urgency=low

  * create /etc/hosts for ubuntu-core:system-image

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 09 Oct 2014 09:24:39 +0200

livecd-rootfs (2.250) utopic; urgency=low

  * build system-image without recommends

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 07 Oct 2014 11:44:09 +0200

livecd-rootfs (2.249) utopic; urgency=medium

  * live-build/ubuntu-core/hooks/06-handle_resolvconf.chroot: Remove
    pre-existing /etc/resolv.conf.

 -- James Hunt <james.hunt@ubuntu.com>  Mon, 06 Oct 2014 13:25:11 +0100

livecd-rootfs (2.248) utopic; urgency=medium

  * live-build/ubuntu-core/hooks/06-handle_resolvconf.chroot: Configure
    resolv.conf for Ubuntu Core. 
  * live-build/ubuntu-core/hooks/07-configure-system-image-client.chroot:
    Configure system-image-cli's client.ini for Ubuntu Core. This can be
    dropped once bug 1373467 is fixed.

 -- James Hunt <james.hunt@ubuntu.com>  Fri, 03 Oct 2014 15:23:47 +0100

livecd-rootfs (2.247) utopic; urgency=medium

  * live-build/ubuntu-touch/hooks/00-uid-gid-fix.chroot_early:
    Create some directories which would otherwise go missing due to our
    pre-created users. (LP: #1374553)

 -- Stéphane Graber <stgraber@ubuntu.com>  Fri, 26 Sep 2014 14:41:19 -0400

livecd-rootfs (2.246) utopic; urgency=medium

  * live-build/auto/config: Use ubuntukylin-live task for ubuntukylin, not
    ubuntu-live (LP: #1372731).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 24 Sep 2014 10:59:55 +0100

livecd-rootfs (2.245) utopic; urgency=medium

  * Add two new hooks for Ubuntu Touch to setup sensible /etc/passwd,
    /etc/shadow, /etc/group and /etc/gshadow PRIOR to package installation
    to guarantee user/group ordering on the image and then to check for any
    unexpected change to those files. (LP: #1332538)

    Any change to either the initial set of users and groups or to the
    post-package-install set will now be fatal to the image and will require
    a manual update of the hardcoded user/group list contained in this new
    chroot_early hook.
  * Bump dependency on live-build accordingly.
  * Update the setup_user hook to also take care of gshadow.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 22 Sep 2014 16:02:58 -0400

livecd-rootfs (2.244) utopic; urgency=medium

  * Substitute DEB_HOST_MULTIARCH into hook scripts at build time, rather
    than relying on dpkg-architecture (which is in dpkg-dev) to be present
    in the image.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Sep 2014 16:07:41 +0100

livecd-rootfs (2.243) utopic; urgency=medium

  * Updating apparmor features file for Ubuntu Touch

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Mon, 22 Sep 2014 23:59:25 -0300

livecd-rootfs (2.242) utopic; urgency=medium

  * get-ppa-fingerprint: Adjust use of
    softwareproperties.ppa.get_ppa_info_from_lp to match the new calling
    convention in software-properties 0.93.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 17 Sep 2014 11:11:41 +0100

livecd-rootfs (2.241) utopic; urgency=medium

  * live-build/auto/config: Use ubuntukylin-desktop task for ubuntukylin,
    not ubuntu-desktop.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 10 Sep 2014 10:54:17 +0100

livecd-rootfs (2.240) utopic; urgency=medium

  * live-build/ubuntu-touch/hooks/01-setup_user.chroot:
    - Don't modify PAM files directly, we'll let ubuntu-touch-session
      do that for us the proper way.  (LP: #1348637)

 -- Michael Terry <mterry@ubuntu.com>  Wed, 13 Aug 2014 16:37:17 -0400

livecd-rootfs (2.239) utopic; urgency=medium

  * Revert part of the last change to ship the systemd hook as .chroot
    and not .binary since it doesn't appear to be running properly as a
    binary hook.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 05 Aug 2014 13:37:57 -0400

livecd-rootfs (2.238) utopic; urgency=medium

  * ubuntu-core: Fix build failure due to missing /etc/default/grub and
    provide an fstab that will make systemd happy.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 05 Aug 2014 11:32:44 -0400

livecd-rootfs (2.237) utopic; urgency=medium

  * ubuntu-core: Add click-systemd to preinstalled image (currently only in
    a PPA, so can't use tasks for this).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 05 Aug 2014 13:29:22 +0200

livecd-rootfs (2.236) utopic; urgency=medium

  [ James Hunt ]
  * ubuntu-core:

