## livecd-rootfs 2.300

=== debian/changelog ===
livecd-rootfs (2.300) vivid; urgency=medium

  * live-build/ubuntu-core/hooks/11-remove-extra-packages.chroot: revert
    removal of python from the rootfs temporarily, since we've manually
    re-added it to the seed in order to make walinuxagent work again on the
    azure image.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Apr 2015 16:03:42 -0700

livecd-rootfs (2.299) vivid; urgency=medium

  * Fix snappy motd to not reference 'development', which isn't always true.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 17 Apr 2015 13:29:03 -0600

livecd-rootfs (2.298) vivid; urgency=low

  * live-build/auto/config:
    - remove resolvconf, click-apparmor, dosfstools
    - shuffle install order around
  * snappy:
    + remove click-hook-framework
    + remove /etc/init.d/grub-common 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 16 Apr 2015 09:37:34 -0500

livecd-rootfs (2.297) vivid; urgency=low

  * fix device.tar.gz generation for snappy
  * lp:~ubuntu-on-ec2/livecd-rootfs/cpc2:
    - build cloud based images using livecd-rootfs

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 09 Apr 2015 14:54:23 +0200

livecd-rootfs (2.296) vivid; urgency=low

  * ubuntu-core:
    - update passwd/group etc for new syslog user
    - remove live-build/ubuntu-core/hooks/15-pycompile-snappy.chroot
    - merged lp:~snappy-dev/livecd-rootfs/core_update
      to generate device tar conform hardware.yaml
    - add compability handling for current u-d-f/grub when extracting
      the device tarball

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 30 Mar 2015 20:40:25 +0200

livecd-rootfs (2.295) vivid; urgency=medium

  * forcefully add ubuntu-system-settings-online-accounts to ubuntu-touch
    builds to make sure the dependency is fulfilled in advance

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 25 Mar 2015 10:26:40 +0100

livecd-rootfs (2.294) vivid; urgency=medium

  * add more verbosity to the copy command for android fragments in
    ubuntu-touch

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 13 Mar 2015 11:10:33 +0100

livecd-rootfs (2.293) vivid; urgency=low

  [ Michael Vogt ]
  * live-build/ubuntu-core/hooks/11-remove-extra-packages.chroot:
    - remove libpython2.7 and friends as welll

  [ Oliver Grawert ]
  * remove all .override files in teh build chroot, else teh buildd machines
    fall over.

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 10 Mar 2015 16:21:36 +0100

livecd-rootfs (2.292) vivid; urgency=low

  [ Michael Vogt ]
  * live-build/ubuntu-core/hooks/11-remove-extra-packages.chroot:
    - python2 is no longer required on a snappy system
  * live-build/ubuntu-core/hooks/00-uid-gid-fix.chroot_early:
    - updated md5sums as the ordering of users/groups has changed with
      the new systemd-sysv

  [ Oliver Grawert ]
  * live-build/ubuntu-touch/hooks/00-uid-gid-fix.chroot_early:
    bump all md5sums to new values, now that debootstrap installs systemd-sysv
    instead of upstart the ordering and thus the group numbering has changed

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 10 Mar 2015 12:07:16 +0100

livecd-rootfs (2.291) vivid; urgency=low

  [ Michael Vogt ]
  * do not leave some packages in ^rc state on snappy/ubuntu-core
    (LP: #1428115). Thanks to Daniel Holbach

  [ Oliver Grawert ]
  * put FLASH_KERNEL_SKIP=true into /etc/environment on phones, this will
    prevent the systems from trying to flash an updated initrd automatically
    in case you call update-initramfs or install your own kernel package on a
    nexus device where this is supported, please call flash-kernel manually
    after unsetting the variable in your work environment.

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 06 Mar 2015 21:14:11 +0100

livecd-rootfs (2.290) vivid; urgency=medium

  * touch: Explicitly uninstall systemd-sysv, to help apt to install upstart
    when the preferred "init" alternative is systemd-sysv. Also explicitly
    install packagekit to help the problem resolver. Thanks Colin Watson!
    (LP: #1428026)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 04 Mar 2015 12:04:22 +0100

livecd-rootfs (2.289) vivid; urgency=medium

  * add info about /var/log ownership so it ends up in the ubuntu-touch build
    logs

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 03 Mar 2015 15:10:07 +0100

livecd-rootfs (2.288) vivid; urgency=low

  [ Michael Vogt ]
  * add dosfstools on snappy to ensure systemd can fsck the /boot
    partition

  [ Ricardo Salveti de Araujo ]
  * touch: don't depend on mir-platform-graphics-android and let that to be
    handled by the seeds (they can't stop bumping the package name and the
    graphics-mesa package doesn't cause any harm)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Sun, 01 Mar 2015 01:27:11 -0300

livecd-rootfs (2.287) vivid; urgency=low

  [ Michael Vogt ]
  * add even more verbose output to
    live-build/ubuntu-core/hooks/00-uid-gid-fix.chroot_early
    (thanks Oliver!)
  * live-build/ubuntu-core/hooks/00-uid-gid-fix.chroot_early:
    - adjust the {group,gshadow}_bootstrap values. The audio group
      used to be gid 1005 after the bootstrap and is now 29.
  * live-build/auto/config:
    - add snappy-ubuntu

  [ Oliver Grawert ]
  * make sure /var/log is always owned by the syslog group on touch

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 18 Feb 2015 15:03:54 +0100

livecd-rootfs (2.286) vivid; urgency=medium

  * touch: forcing package mir-platform-graphics-android to see if we're able
    to remove the dependency on the mesa one (until mir is properly fixed)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 12 Feb 2015 03:05:31 -0200

livecd-rootfs (2.285) vivid; urgency=medium

  * touch: removing dependencies on a specific mir platform driver as mir can
    now identify and load the correct driver during runtime

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 11 Feb 2015 23:35:42 -0200

livecd-rootfs (2.284) vivid; urgency=medium

  * bump the gshadow hash in 00-uid-gid-fix.chroot_early too


