## livecd-rootfs 2.300.2

=== debian/changelog ===
livecd-rootfs (2.300.2) vivid; urgency=medium

  * live-build/auto/config: Conditionalize copying extra-ppas.pref.chroot.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 30 Apr 2015 07:54:43 -0600

livecd-rootfs (2.300.1) vivid; urgency=medium

  * live-build/auto/config: Handle applying priorities to EXTRA_PPAS
    via the extra_ppa="user/ppaname:priority" syntax (LP: #1450257)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 29 Apr 2015 12:56:58 -0600
