## livecd-rootfs 2.349

=== debian/changelog ===
livecd-rootfs (2.349) wily; urgency=medium

  * do not hardcode installation of grub-pc for amd64 in snappy images,
    instead install the right grub set for secureboot there

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 09 Oct 2015 17:47:03 +0200

livecd-rootfs (2.348) wily; urgency=medium

  * limit grub-install diversion on snappy images to x86 architectures

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 09 Oct 2015 12:52:57 +0200

livecd-rootfs (2.347) wily; urgency=medium

  * divert grub-install on snappy images during rootfs build

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 09 Oct 2015 12:44:04 +0200

livecd-rootfs (2.346) wily; urgency=medium

  * merge lp:~sil2100/livecd-rootfs/remove_apt_lists to drop cruft from
    /var/lib/apt/lists on phone images

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 30 Sep 2015 15:23:02 +0200

livecd-rootfs (2.345) wily; urgency=medium

  [ Łukasz Zemczak ]
  * lp:~sil2100/livecd-rootfs/pocket-desktop:
    - add support for pocket-desktop

  [ Oliver Grawert ]
  * add user/group fixes for snappy shipping tpm-tools

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 21 Sep 2015 16:19:43 +0200

livecd-rootfs (2.344) wily; urgency=medium

  * Drop 'landscape-client' from Cloud Images (LP: #1497030).

 -- Ben Howard <ben.howard@ubuntu.com>  Thu, 17 Sep 2015 15:56:24 -0600

livecd-rootfs (2.343) wily; urgency=medium

  [ Oliver Grawert ]
  * add empty "extrausers" equivalents for subuid and subgid files, else
    adduser falls over in interactive mode when trying to write to them.

  [ Iain Lane ]
  * live-build/ubuntu-touch/hooks/03-etc-writable.chroot: Set up /etc/whoopsie
    too. (LP: #1437633)

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 10 Sep 2015 12:22:57 +0100

livecd-rootfs (2.342) wily; urgency=medium

  * ubuntu-touch, ubuntu-desktop-next: drop systemd-journal-remote from group
    files, update md5sums in 00-uid-gid-fix.chroot_early

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 09 Sep 2015 13:20:10 +0200

livecd-rootfs (2.341) wily; urgency=medium

  * add ppp and watchdog packages to snappy

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 07 Sep 2015 18:32:15 +0200

livecd-rootfs (2.340) wily; urgency=medium

  [ Michael Vogt ]
  * live-build/ubuntu-core/hooks/500-move-kernel-to-device-tar.binary:
    - cleanup further after moving the kernel out of the rootfs
      (LP: #1468469)

  [ Oliver Grawert ]
  * systemd-journal-remote was dropped from /etc/group and /etc/gshadow,
    update the files and md5sums in the passwd checks of ubuntu-core

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 03 Sep 2015 14:20:39 +0200

livecd-rootfs (2.339) wily; urgency=medium

  * revert the apparmor-super-noise change, issue is found
  * touch the cache files during build to prevent timestamp issues in the future
  * drop copying of zip files of the android package, we do not generate these
    anymore.

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 12 Aug 2015 12:17:51 +0200

livecd-rootfs (2.338) wily; urgency=medium

  [ Łukasz Zemczak ]
  * merge lp:~sil2100/livecd-rootfs/deb-src_for_extra_ppas,
  In case of extra PPAs also include the deb-src entry in the sources list.
  (LP: #1482703)
  [ Oliver Grawert ]
  * add the apparmor-super-noise change to get extra detailed info about all
  apparmor operations in the ubuntu-touch build logs

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 11 Aug 2015 18:18:58 +0200

livecd-rootfs (2.336) wily; urgency=medium

  * make apparmor precompilation more verbose, list the dir contents of
    /custom/cache/apparmor to see in the build log what has been created.

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 11 Aug 2015 11:29:01 +0200

livecd-rootfs (2.335) wily; urgency=medium

  * Attempt to build Ubuntu image using metapackages instead of tasks; this
    is necessary in order to build a test image out of wily-proposed for the
    g++5 transition, but may be reverted later if this doesn't turn out to
    be maintainable.  (Code taken from the trusty HWE LTS branch of
    livecd-rootfs.)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 09 Aug 2015 22:54:24 -0700

livecd-rootfs (2.334) wily; urgency=medium

  * add dnsmasq user to snappy builds, needed by ubuntu-fan

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 28 Jul 2015 10:48:13 +0200

livecd-rootfs (2.333) wily; urgency=medium

  * lp:~mvo/livecd-rootfs/snappy-add-fw_env.config:
    - add /etc/fw_env.config that points to
      /boot/uboot/fw_env.config to make fw_{set,print}env work

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 17 Jul 2015 17:46:09 +0200

livecd-rootfs (2.332) wily; urgency=medium

  * Get previous ubuntu-core changes on desktop-next

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 09 Jul 2015 18:19:41 +0200

livecd-rootfs (2.331) wily; urgency=medium

  * merge lp:~sergiusens/livecd-rootfs/eth0Not to not hardcode eth0 anymore on
    snappy.

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 09 Jul 2015 16:41:53 +0200

livecd-rootfs (2.330) wily; urgency=medium

  * fix another quoting issue in snappy

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 09 Jul 2015 12:11:55 +0200

livecd-rootfs (2.329) wily; urgency=medium

  [ Łukasz Zemczak ]
  * Split out the youtube scope to the custom tarball since some images
    can't have it pre-installed (e.g. arale China images).

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Jul 2015 15:08:15 -0700

livecd-rootfs (2.328) wily; urgency=medium

  * fix quoting issue with the last change ...

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 08 Jul 2015 22:51:04 +0200

livecd-rootfs (2.327) wily; urgency=medium

  * merge lp:~sergiusens/livecd-rootfs/snappyDevicePart for using versioned
    kernel and initrd binaries in snappy

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 08 Jul 2015 17:46:36 +0200

livecd-rootfs (2.326) wily; urgency=medium

  * snappy: install libc6:i386 on amd64 images for multiarch support out of
    the box. (LP: #1444049)

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 07 Jul 2015 11:49:46 +0200


