## livecd-rootfs 2.349.1

=== debian/changelog ===
livecd-rootfs (2.349.1) wily; urgency=medium

  * cloud-images: revert to old device naming (LP: #1510345).

 -- Ben Howard <ben.howard@ubuntu.com>  Thu, 29 Oct 2015 11:29:01 -0500
