## livecd-rootfs 2.408

=== debian/changelog ===
livecd-rootfs (2.408) xenial; urgency=medium

  * drop linux-firmware-raspi2, it does not actually contain driver
    firmware but bootloaders (and fails to install if its target dir
    is missing).

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 21 Apr 2016 14:15:21 +0200

livecd-rootfs (2.407) xenial; urgency=medium

  [ Colin Watson ]
  * Add a basic build-time syntax check for live-build/auto/*.

  [ Oliver Grawert ]
  * add multiverse to sources.list for snappy kernel builds

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 21 Apr 2016 10:53:12 +0200

livecd-rootfs (2.406) xenial; urgency=medium

  * Fix syntax error.

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 20 Apr 2016 21:13:23 +0100

livecd-rootfs (2.405) xenial; urgency=medium

  * move the snappy kernel builds to the correct linux-image-$arch and
    linux-firmware-$arch metapackages

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 20 Apr 2016 19:34:11 +0200

livecd-rootfs (2.404) xenial; urgency=medium

  * Follow linux-firmware-raspi2 renaming in the archive for raspi2 images.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 20 Apr 2016 10:49:02 -0600

livecd-rootfs (2.403) xenial; urgency=medium

  * Follow up on recent changes from the new network-manager packages and add
    the nm-openvpn user to touch. This should essentially fix the image build
    failures.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 18 Apr 2016 12:27:04 +0200

livecd-rootfs (2.402) xenial; urgency=medium

  * Update the passwd, shadow, group and gshadow bootstrap hashes for touch.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 15 Apr 2016 13:52:56 +0200

livecd-rootfs (2.401) xenial; urgency=medium

  * Re-enable systemd predictable network interface naming on cloud-images
  * Stop creating default configuration for eth0 (LP: #1563487)

 -- Daniel Watkins <daniel.watkins@canonical.com>  Thu, 14 Apr 2016 14:47:42 -0400

livecd-rootfs (2.400) xenial; urgency=medium

  * Transition from ubuntu-snappy to ubuntu-core-snapd-units and snapd.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 13 Apr 2016 22:57:39 -0600

livecd-rootfs (2.399) xenial; urgency=medium

  [ Oliver Grawert ]
  * live-build/ubuntu-core/hooks/25-create-generic-initrd.chroot:
    kill the snappy os build if the initramfs-tools-ubuntu-core package
    is not found
  * make s390x known to the snappy builds
  * skip kernel snap an device tarball builds for s390x and ppc64el
  * drop listing of the device tarballs, this was only for debugging

  [ Adam Conrad ]
  * live-build/ubuntu-cpc/hooks/032-disk-image.binary: Install s390-tools
    and sysconfig-hardware before we attempt to configure zipl.

 -- Oliver Grawert <ogra@ubuntu.com>  Sun, 10 Apr 2016 17:23:05 +0200

livecd-rootfs (2.398) xenial; urgency=medium

  * switch snappy package builds from "snappy build" to "snapcraft snap"
  (LP: #1557515)

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 08 Apr 2016 16:45:48 +0200

livecd-rootfs (2.397) xenial; urgency=medium

  * live-build/ubuntu-core/hooks/25-create-generic-initrd.chroot:
    create a generic initrd inside the snappy os-snap so we do not need the
    hackish ubuntu-core-generic-initrd package anymore.

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 07 Apr 2016 17:21:13 +0200

livecd-rootfs (2.396) xenial; urgency=medium

  [ Adam Conrad ]
  * Remove obsolete pvr-omap4 special-casing to simplify configs.

  [ Daniel Watkins ]
  * Enable building of powerpc cloud images.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 03 Apr 2016 02:39:50 -0600

livecd-rootfs (2.395) xenial; urgency=medium

  * create /etc/cloud/cloud.cfg.d/99-snappy-disable-network-config.cfg on
    snappy so we do not end up with broken network config after cloud-init
    ran (LP: #1563296).

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 01 Apr 2016 16:31:50 +0200

livecd-rootfs (2.394) xenial; urgency=medium

  [ Xavi Garcia ]
  * Adding a new hook to change the configuration file for upower.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 30 Mar 2016 16:20:20 +0200

livecd-rootfs (2.393) xenial; urgency=medium

  * actually make the /etc/mtab link relative (LP: #1547033)

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 24 Mar 2016 13:27:01 +0100

livecd-rootfs (2.392) xenial; urgency=medium

  * move mtab link to point to /proc/self/mounts instead of /proc/mounts
    (LP: #1547033) in snappy builds

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 22 Mar 2016 13:16:59 +0100

livecd-rootfs (2.391) xenial; urgency=medium

  * adjust snap versions to only have one dash and use plus chars instead

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 21 Mar 2016 17:36:47 +0100

livecd-rootfs (2.390) xenial; urgency=medium

  * add link for wlan mac address in dragonboard kernel snaps
  * move dragonboard kernel snap to linux-snapdragon (with a currently hardcoded
    version due to missing -meta package for this kernel, don't do that at
    home !)

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 16 Mar 2016 14:28:22 +0100

livecd-rootfs (2.389) xenial; urgency=medium

  * Follow rename of ubuntustudio-font-meta to ubuntustudio-fonts.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 16 Mar 2016 10:45:40 +0000

livecd-rootfs (2.388) xenial; urgency=medium

  * add support for dragonboard kernel snap
  * remove  grub-efi-arm64 to the arm64 OS snap as it breaks uboot

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 15 Mar 2016 13:21:25 +0100

livecd-rootfs (2.387) xenial; urgency=medium

  * Move the new touch click apps (unav, dekko, calendar) to the custom
    tarball.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 15 Mar 2016 12:56:32 +0100

livecd-rootfs (2.386) xenial; urgency=medium

  [ Michael Vogt ]
  * add dpkg.list to assets of the kernel snap
  * add grub-efi-arm64 to the arm64 OS snap

  [ Adam Conrad ]
  * Build raspi2 images with multiverse for firmware.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 14 Mar 2016 10:31:55 -0600

livecd-rootfs (2.385) xenial; urgency=medium


