## livecd-rootfs 2.408.8

=== debian/changelog ===
livecd-rootfs (2.408.8) xenial; urgency=medium

  * Set device_tree_address for the new kernel in the RPi bootloader config.txt

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 16 Feb 2017 10:21:51 -0700

livecd-rootfs (2.408.7) xenial; urgency=medium

  [ Łukasz 'sil2100' Zemczak ]
  * Add additional hints to ubuntu-touch* i386/amd64 image builds to pull in
    the gles version of the UITK.
  * Now that we have have systemd working on ubuntu-touch, remove the
    systemd-sysv- in add_package config to make sure we can build an image with
    systemd as the init system.

  [ Adam Conrad ]
  * Forward-port hardware enablement delta from trusty to xenial, with changes:
    - Implement hwe stack swapping as task filters instead of install hints
    - Revert ubuntu-desktop and ubuntu-gnome to use tasks again for the above

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 08 Feb 2017 11:50:52 -0700

livecd-rootfs (2.408.5) xenial; urgency=medium
 
  * Temporarily change the 60-install-click.chroot script to pull in clicks for
    arm64 builds from a different location for ubuntu-touch.
  * Add the new dhcpd user to touch hooks introduced by latest archive changes.
  * Remove the ubuntu-pd project logic.
  * Synced ubuntu-touch-custom changes from the vivid branch to xenial. This
    also adds a new symlink called ubuntu-touch-custom to the ubuntu-touch hooks
    dir.
  * Stop using the overlay PPA for touch livecd-rootfs changes (LP: #1628085).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 27 Sep 2016 13:27:28 +0200

livecd-rootfs (2.408.4) xenial; urgency=medium

  * live-build/ubuntu-cpc/hooks/042-vagrant.binary: fix unmount handling
    so that the teardown is done properly /before/ we try to make an
    image from our filesystem, since otherwise /etc/resolv.conf is broken.
    LP: #1621393.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 09 Sep 2016 17:04:54 -0700

livecd-rootfs (2.408.3) xenial-proposed; urgency=medium

  [ Louis Zuckerman ]
  * Fixes for vagrant box builder in ubuntu-cpc LP: #1565985
    - Install virtualbox-guest-utils
    - Don't disable default synced folder
    - Don't set vm name
    - Add cloud-init config to manage /etc/hosts LP: #1561250

 -- Brian Murray <brian@ubuntu.com>  Tue, 30 Aug 2016 13:17:55 -0700

livecd-rootfs (2.408.2) xenial; urgency=medium

  * Switch ubuntu-gnome from using tasks to metapackages (LP: #1602035)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 20 Jul 2016 01:46:41 -0600

livecd-rootfs (2.408.1) xenial; urgency=medium

  * Rename old ubuntu-core tarballs to ubuntu-base, for consistency with
    the changes already made to yakkety and the ubuntu-cdimage project.
    LP: #1579950.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 09 May 2016 17:00:19 -0700
