## livecd-rootfs 2.408.29

=== debian/changelog ===
livecd-rootfs (2.408.29) xenial; urgency=medium

  [ Christopher Glass ]
  * ubuntu-cpc: When performing a minimized build make sure the
    /etc/cloud/build.info file says "minimal" (LP: #1759519)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 17 Apr 2018 13:28:50 -0700

livecd-rootfs (2.408.28) xenial; urgency=medium

  * ubuntu-cpc: When performing a minimized build, don't generate artifacts
    that won't boot with the linux-kvm kernel (LP: #1757223).

 -- Daniel Watkins <daniel.watkins@canonical.com>  Tue, 20 Mar 2018 12:42:25 -0400

livecd-rootfs (2.408.27) xenial; urgency=medium

  * Don't ask for password and GECOS while creating vagrant user
    (LP: #1569237)

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 21 Dec 2017 09:20:32 +0100

livecd-rootfs (2.408.26) xenial; urgency=medium

  * Added a "vagrant" user to the vagrant image in addition to the "ubuntu"
    user, in accordance with the vagrant community's expectations (LP: #1569237)

 -- Christopher Glass (Ubuntu) <tribaal@ubuntu.com>  Thu, 07 Dec 2017 14:00:59 +0100

livecd-rootfs (2.408.25) xenial; urgency=medium

  * Sort and list dependencies nicely
  * Depend on packages instead of installing them at run time
  * Use xz -T4 instead of pxz.
    Supported xz versions before 5.2 accept the -T4 option but ignore it.
    Also depend on xz-utils instead of downloading pxz. (LP: #1701132)

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 06 Dec 2017 11:34:04 +0100

livecd-rootfs (2.408.24) xenial; urgency=medium

  * For the IMAGEFORMAT=none parts to work for ubuntu-image classic builds, we
    need to make sure IMAGEFORMAT is preserved and not overwritten if defined.
    Backporting from artful.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 21 Nov 2017 17:01:14 +0100

livecd-rootfs (2.408.23) xenial; urgency=medium

  [ Gary Wang ]
  * Add the IMAGEFORMAT=none to support generating a single rootfs
    (LP: #1730642)

  [ Christopher Glass (Ubuntu) ]
  * Backport "minimized round 2" changes from trunk to Xenial (LP: #1731492)
  * Remove apt, debconf, dpkg cruft files from /var/cache and /var/lib in
    all our livefses.
  * Pass --cache false to lb config; otherwise we copy around caches of
    .debs that are never used properly, and which prevent us from emptying
    /var/cache/apt in images.
  * When building minimized cloud images, remove various packages that we
    don't want installed by default.  Some are tools that aren't needed for
    non-interactive use; some are libraries whose reverse-dependencies
    will have already been removed; and one, open-vm-tools, should only be
    included in images that are targeted to VMWare (which is not the case
    for any of the current minimal images), rather than being included
    directly in the cloud-image seed.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 14 Nov 2017 11:21:48 -0800

livecd-rootfs (2.408.22) xenial; urgency=medium

  * Make sure to remove any initramfs that was generated in a minimized
    image.
  * divert /usr/bin/systemd-detect-virt as part of the grub diversions, so
    that the grub kernel postinst hook is operational when we're building
    in a container.  LP: #1729034.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 21 Oct 2017 20:53:02 -0700

livecd-rootfs (2.408.21) xenial; urgency=medium

  [ Balint Reczey ]
  * Use kvm kernel only on amd64.
  * Make non-x86 minimized images consistent with x86 by not explicitly
    installing the server task.
  * Clean up dangling /boot/initrd.img symlink left behind on minimized
    builds.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 20 Oct 2017 23:10:29 -0700

livecd-rootfs (2.408.20) xenial; urgency=medium

  * Now that grub-related diversions have been factored out in 2.466
    instead of having bogus root=stuff arg generated in grub.cfg, it is
    actually empty. Therefore update the sed command to make the arg in
    the root= token optional. This should resolve non-booting livecd cpc
    images.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 10 Oct 2017 13:49:49 +0100

livecd-rootfs (2.408.19) xenial; urgency=medium

  [ Nishanth Aravamudan ]
  * live-build/ubuntu-cpc/hooks/061-open-iscsi.chroot: generate iSCSI
    Initiator Name at first iscsid run for cloud images to ensure it is
    unique (LP: #1444992).

  [ Steve Langasek ]
  * Improve teardown_mountpoint to recursively find all submounts and
    unmount them, instead of working from a hard-coded list.  This makes
    the code resilient against other submounts being added later, including
    downstream.  LP: #1721279.
  * Also nuke the sleep / udevadm settle calls in the process, which should
    never be required and slow down the builds.
  * Fix a reference to an undefined variable in a script that's set -u.
  * Use /bin/sh, not /bin/bash, for autopkgtest.
  * debian/tests/default-bootstraps: minor adjustments to shell syntax,
    syncing with artful where this originated.

  [ Steve Langasek, Balint Reczey ]
  * Introduce a new project-independent 'minimized' subproject
    (LP: #1721261):
    - omit ubuntu-minimal in favor of using only the minbase package set.
    - boot directly by partuuid, avoiding the use of an initramfs.
    - Bump needed live-build version which can build images without initrd
    - drop man pages and most of the documentation from minimized images
      (/usr/share/doc/*/copyright and changelog.Debian.gz files are still
      kept)
    - Add unminimize script for reverting minimization on a running system
    - Mention unminimize script in motd
    - Run autopkgtest for SUBPROJECT=minimized
    - If we're using SUBPROJECT=minimized, and tzdata is not installed,
      remove files that have been left behind.  This is a workaround for a
      bug that should be fixed in tzdata.
  * Factor out grub-related diversions and use them consistently, so we
    don't end up with wrong os-probe output in our grub.cfg.

  [ Balint Reczey ]

