## livecd-rootfs 2.408.68

=== debian/changelog ===
livecd-rootfs (2.408.68) xenial; urgency=medium

  [ Gauthier Jolly ]
  * ubuntu-cpc: secure esp mountpoint (LP: #1881006)
    Change mount option for ubuntu-cpc images from "defaults" to "umask=0077"
    ESP partitions might contain sensitive data and non-root users shouldn't
    have read access on it.

 -- Robert C Jennings <robert.jennings@canonical.com>  Sat, 10 Apr 2021 05:28:29 -0500

livecd-rootfs (2.408.67) xenial; urgency=medium

  * Revert "esp: install grub in ubuntu bootloader id path, instead of
    removable." as xenial's grub doesn't support shim fallback mode.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 10 Feb 2021 13:00:48 +0000

livecd-rootfs (2.408.66) xenial; urgency=medium

  [ David Krauser ]
  * buildd: produce kernel and initrd as separate artifacts LP: #1910557
  * buildd: call update-initramfs for all installed kernels
    We only have one kernel installed, so we don't need to
    specify an explicit version. LP: #1910557

  [ Dimitri John Ledkov ]
  * esp: install grub in ubuntu bootloader id path, instead of removable.
  * esp: perform fsck. (LP: #1912835)
  * Perform fsck on all rootfs. (LP: #1912835)
  * functions: stop removing systemd-detect-virt unconditionally in undivert_grub
    (LP: #1902260)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 09 Feb 2021 01:18:14 +0000

livecd-rootfs (2.408.65) xenial; urgency=medium

  [ Joshua Powers ]
  * amd64: revert install grub changes on Xenial (LP: #1901906)

 -- Robert C Jennings <robert.jennings@canonical.com>  Tue, 15 Dec 2020 11:11:14 -0600

livecd-rootfs (2.408.64) xenial; urgency=medium

  [ Joshua Powers ]
  * amd64: always install grub-efi-amd64-signed (LP: #1901906)

 -- Robert C Jennings <robert.jennings@canonical.com>  Wed, 02 Dec 2020 13:11:27 -0600

livecd-rootfs (2.408.63) xenial; urgency=medium

  [ John Chittum ]
  * Backport Ensure toolsVersion set in vmdk header (LP: #1893898)

 -- Robert C Jennings <robert.jennings@canonical.com>  Fri, 20 Nov 2020 15:55:00 -0600

livecd-rootfs (2.408.62) xenial; urgency=medium

  [ Dimitri John Ledkov & Joshua Powers ]
  * amd64: always install grub-pc with shim-signed (LP: #1901906), and
    ensure to autoremove packages

  [ Patrick Viafore ]
  * Increase Vagrant disk size from 10G to 40G (LP: #1580596)

  [ Cody Shepherd ]
  * buildd: ext4: change tar transform target to match changes in bionic+
  * buildd: Skip jasper for buildd subproject
  * buildd: Create manifests for buildd tarballs

 -- Robert C Jennings <robert.jennings@canonical.com>  Fri, 20 Nov 2020 15:27:09 -0600

livecd-rootfs (2.408.61) xenial; urgency=medium

  * SRU: Enable bootable-buildd hooks for Xenial (LP: #1863024)

 -- Cody Shepherd <cody.shepherd@canonical.com>  Tue, 06 Oct 2020 12:56:18 -0700

livecd-rootfs (2.408.60) xenial; urgency=medium

  [ Cody Shepherd ]
  * Install grub-legacy-ec2 for all ubuntu-cpc (LP: #1888575)

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 16 Sep 2020 13:41:08 -0700

livecd-rootfs (2.408.59) xenial; urgency=medium

  * Backport snap preseed base support (LP: #1874834)

 -- Robert C Jennings <robert.jennings@canonical.com>  Fri, 24 Apr 2020 10:54:54 -0500

livecd-rootfs (2.408.58) xenial; urgency=medium

  * Use a snap cohort key for consistent parallel builds (LP: #1866159)

 -- Robert C Jennings <robert.jennings@canonical.com>  Fri, 21 Feb 2020 21:32:37 -0600

livecd-rootfs (2.408.57) xenial; urgency=medium

  * Preserve apt preferences created by any package we install (i.e.
    ubuntu-advantage-tools) against live-build's attempt to delete them.
    (LP: #1855354)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 19 Dec 2019 22:42:12 +1300

livecd-rootfs (2.408.56) xenial; urgency=medium

  * Backport enabling of adding extra snaps to ubuntu-core images via the
    EXTRA_SNAPS environment (LP: #1849491).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 30 Oct 2019 17:28:57 +0100

livecd-rootfs (2.408.55) xenial; urgency=medium

  * magic-proxy: dump proxy log to stdout on failure (LP: #1847300)

 -- Robert C Jennings <robert.jennings@canonical.com>  Tue, 08 Oct 2019 11:02:08 -0500

livecd-rootfs (2.408.54) xenial; urgency=medium

  * Revert exclusion of makedev from buildd chroots, as it turned out not to
    be the problem.  Instead, fix up /dev/ptmx to be a character device node
    rather than a symlink to /dev/pts/ptmx, in line with the discussion in
    https://bugs.debian.org/817236; I think this is safer than
    cherry-picking the fix to debootstrap at this point in a stable release
    cycle (LP: #1844504).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 26 Sep 2019 10:53:23 +0100

livecd-rootfs (2.408.53) xenial; urgency=medium

  * Fix exclusion of makedev from buildd chroots; debootstrap doesn't
    respect --exclude for "Priority: required" packages, so we have to purge
    makedev later (LP: #1844504).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 24 Sep 2019 15:05:26 +0100

livecd-rootfs (2.408.52) xenial; urgency=medium

  * Exclude makedev from buildd chroots, since it was historically excluded
    and apparently breaks some builds (e.g. mir; LP: #1844504).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Sep 2019 11:01:45 +0200

livecd-rootfs (2.408.51) xenial; urgency=medium

  * ubuntu-cpc: Only produce explicitly specified artifacts (LP: #1837254)

 -- Robert C Jennings <robert.jennings@canonical.com>  Mon, 26 Aug 2019 16:32:41 -0500

livecd-rootfs (2.408.50) xenial; urgency=medium

  * Actually, do not depend on snapd on powerpc as well.  Snaps are not
    supported on this platform at all.  (LP: #1830823)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 25 Jun 2019 22:54:10 +0200

livecd-rootfs (2.408.49) xenial; urgency=medium

  * Add explicit dependency on python3-yaml, which is used in the code but
    was previously pulled in indirectly via ubuntu-image.  LP: #1830823.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 30 May 2019 14:20:30 -0700


