=== debian/control ===
--- 
+++ 
@@ -4,14 +4,16 @@
 Build-Depends: debhelper (>= 7)
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Standards-Version: 3.9.6
-Vcs-Bzr: lp:~ubuntu-core-dev/livecd-rootfs/xenial-proposed/
+Vcs-Git: https://git.launchpad.net/livecd-rootfs -b ubuntu/xenial
 
 Package: livecd-rootfs
 Architecture: any
 Depends: ${misc:Depends},
          android-tools-fsutils [armhf],
          apt-utils,
+         attr,
          debootstrap,
+         distro-info,
          dosfstools,
          e2fsprogs,
          gdisk,
@@ -27,9 +29,12 @@
          procps,
          python-minimal | python,
          python3-software-properties,
+         python3-yaml,
          qemu-utils,
          rsync,
+         snapd [!powerpc],
          squashfs-tools (>= 1:3.3-1),
+         ubuntu-image [!powerpc],
          vmdk-stream-converter [amd64 i386],
          xz-utils,
          zerofree
